commit b7f3f7757c28fdc25ce413ccb3c2c6f7e16cbb51
Author: Simon McVittie <smcv@collabora.com>
Date:   2018-05-04 16:29:05 +0100

    1.2.8

M	NEWS
M	configure.ac

commit c50a1c9fc86c598d49ea85f7c383777ab165c9a1
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-04 17:14:11 +0100

    Revert "Generate a devhelp index for the HTML documentation"

    This reverts commit c57180785096f4271d45ccb1488086c468abcec1.
    The devhelp
    mode produces different HTML, and currently breaks Debian's
    dh_sphinxdoc.

M	Makefile.am

commit c57180785096f4271d45ccb1488086c468abcec1
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-03 14:59:58 +0100

    Generate a devhelp index for the HTML documentation

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	Makefile.am

commit 8c01125643e5ff94c9baa898dd61add8d4739680
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-03 13:14:37 +0100

    Travis-CI: Use system Python to run pip for system Python

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.travis.yml
A	tools/travis-ci-setup.sh

commit 25923e84c44965c5ebdac0567133d5a88885015e
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-03 10:44:38 +0100

    Travis-CI: Install sphinx from PyPI

    The one in Ubuntu 14.04 is too old for "python -m sphinx", and we
    weren't installing it at all for non-system Pythons.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.travis.yml

commit 224012fb6557c775513d8719af6e9129717db791
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-03 10:30:46 +0100

    build: Don't install redirect pages intended for dbus.freedesktop.org

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	Makefile.am

commit 08be9858414f257f047c1d4f11bcd6f26ee884f1
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-03 10:30:30 +0100

    build: Don't install stamp file for documentation build

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	Makefile.am

commit b6f7db7fea9bc25901ebd8bd4a1d3a4ea4058965
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-03 10:14:51 +0100

    build: Install Sphinx documentation

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	Makefile.am

commit b15465fde6dfa4d088d694ec9542ad99d7210d5e
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-03 10:22:32 +0100

    build: Enable Sphinx documentation if dependencies are available

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	configure.ac

commit 174570d94e3000a91aac1ea1276292e5e154c36a
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 19:30:33 +0100

    Travis-CI: Pull in setuptools

    distcheck now requires it, to generate the egg_info.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.travis.yml

commit 721ef6373069bfc6955018681204e20e1ad836e4
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 19:15:39 +0100

    Remove remnants of old documentation

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	Makefile.am
M	configure.ac
D	m4/dbus-py-add-rst2htmlflag.m4

commit 48572c4dd8cea6c7a2661c4dacd73eb8d0d916c5
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 18:53:46 +0100

    Travis-CI: Install sphinx

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.travis.yml

commit 72957e9f4af2ffd6308afaf7f5b30cebe5b278fe
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 15:18:32 +0100

    Use README as the long description

    PyPI no longer renders README by default.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	setup.py

commit 5f8122b0d1b340c6a1330c0f8f729c60d3b96359
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 12:51:29 +0100

    Update NEWS

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	NEWS

commit 5421e3703ca98ba278f67cab133e030949b01997
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 12:38:05 +0100

    Fix distcheck

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	Makefile.am

commit 9dbabdb569c949bd319a294c822d945dfe18bfa4
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 12:32:50 +0100

    Add redirection from the old epydoc documentation to the new versions

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	Makefile.am
A	doc/redirects
A	doc/redirects.py

commit b81df570c8e7a450cfcbd09663f2f15725906b7a
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 12:05:30 +0100

    Improve documentation for Sphinx

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	dbus_bindings/bytes.c
M	dbus_bindings/conn.c
M	dbus_bindings/containers.c
M	dbus_bindings/int.c
M	dbus_bindings/message.c
M	dbus_bindings/signature.c
M	dbus_bindings/string.c
M	dbus_bindings/unixfd.c

commit 780e299bc7cd72c30473162e266479656f3ab9ff
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 11:11:00 +0100

    doc: Be more clear about bytes vs. unicode

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	dbus_bindings/bytes.c
M	dbus_bindings/message-get-args.c
M	doc/tutorial.txt

commit 7457ebb162febe9033ebcc7e6ef44e6f79d19410
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 11:09:42 +0100

    Improve UTF8String documentation

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	dbus_bindings/string.c

commit f78b1afbc01efbe58eff8d3fe5040733124027d5
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 11:08:28 +0100

    dbus-gmain: Ignore more generated files

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	dbus-gmain/.gitignore

commit 6c630a819f6504d48a3a205ab323b2d0458913e5
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 11:08:09 +0100

    Convert documentation from epydoc to Sphinx

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.gitignore
M	Makefile.am
M	README
M	configure.ac
M	dbus/__init__.py
M	dbus/gi_service.py
M	dbus/gobject_service.py
M	dbus/service.py
M	dbus_bindings/bytes.c
M	dbus_bindings/containers.c
M	dbus_bindings/int.c
M	dbus_bindings/message-append.c
M	dbus_bindings/signature.c
M	dbus_bindings/string.c
M	dbus_bindings/unixfd.c
M	doc/HACKING.txt
M	doc/PY3PORT.txt
A	doc/_static/.gitignore
A	doc/conf.py
A	doc/dbus.bus.rst
A	doc/dbus.connection.rst
A	doc/dbus.decorators.rst
A	doc/dbus.exceptions.rst
A	doc/dbus.gi_service.rst
A	doc/dbus.glib.rst
A	doc/dbus.gobject_service.rst
A	doc/dbus.lowlevel.rst
A	doc/dbus.mainloop.rst
A	doc/dbus.proxies.rst
A	doc/dbus.rst
A	doc/dbus.server.rst
A	doc/dbus.service.rst
A	doc/dbus.types.rst
C056	README	doc/index.rst
A	doc/news.rst

commit 2d7f71cc7002b5d968f83adffe09e2fc8fd63eb5
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-05-02 11:02:38 +0100

    .gitignore: Ignore more test logs

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.gitignore

commit 8a0dc04483ae99c1c92e34c979b571eba3afb88e
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-04-21 16:10:15 +0100

    Remove obsolete COMPAT.txt

    This was about compatibility with the rename and rewrite of
    dbus_bindings as _dbus_bindings, which took place over a decade ago.
    If any projects are still not compatible with the "new" dbus-python
    then there is no hope for them.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

D	COMPAT.txt

commit fd4bd409e757dca1cee47188f5fb8a50ee9744c7
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-04-21 11:52:49 +0100

    Include PKG-INFO and egg_info in dist tarballs

    PyPI no longer accepts uploads without these.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.gitignore
M	Makefile.am

commit cf961cbdc28a886fbaffb1d14bb73d8683ff8363
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-30 22:52:15 +0000

    Create directories to hold .test files

    Some of the corresponding test scripts are in $(srcdir)/test, so there
    is no guarantee that $(builddir)/test will exist before these recipes
    run. This usually works, but can cause highly parallel builds to fail.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	Makefile.am

commit 94672070f0756c1c3123796761c74a5fb43325a9
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 19:47:44 +0000

    Start towards 1.2.8

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	NEWS
M	configure.ac

commit bf54889b7bd2eee361843310c86bd6d7701110fc
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 12:41:57 +0000

    Prepare 1.2.6

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	NEWS
M	configure.ac

commit 80948a2ec2ed1a2b19f1287c99bff1e5bd5b1b67
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 12:37:20 +0000

    Add a note on how to update dbus-gmain

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	doc/HACKING.txt

commit 83de9ee526e6c844b0584defcf0b667e9b86f2d2
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 10:45:16 +0000

    travis-ci: Get autoconf-archive from deb.debian.org

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.travis.yml

commit bc5efba85103c63dab7f530eba827416432e2db6
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 10:39:40 +0000

    travis-ci: Only test Python 2.7, 3.4 against system python executable

    It's a bit redundant to do otherwise, and for some reason the
    detection of support for -Wno-duplicated-branches fails for the
    Python 2.7 build, causing a spurious failure.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.travis.yml

commit 2d5ccd0cb9e580732d0abfbf8a97b1bf779d2a9e
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 10:30:43 +0000

    Avoid using async keyword

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	test/test-client.py
M	test/test-service.py

commit 05ef07b9b5a6ae4b53dc80728563d2455fe7e24f
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 10:05:37 +0000

    Require dbus 1.8

    On Travis-CI, cheat our way around the obsolete version of Ubuntu used
    for most builds: we can in fact compile against dbus 1.6, if we apply
    some force.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	NEWS
M	configure.ac
M	tools/ci-build.sh

commit 9606cec969ba01252ae6ea08f4ac5f389f1e3c76
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 09:56:33 +0000

    Adjust dependency notes in NEWS

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	NEWS

commit 655a6d48a5e98b1aee556e14c5e00bd41ce0192c
Merge: 660e1b8 f5f817b
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 09:54:52 +0000

    Merge commit 'f5f817bf93e9fe1503cd327b546a1237f59e96b4'

commit f5f817bf93e9fe1503cd327b546a1237f59e96b4
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-29 09:54:30 +0000

    Add some notes on integrating dbus-gmain into larger projects

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	README

commit 660e1b8bb285403a369a46794e6229b906f1ffd3
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 09:44:28 +0000

    Use system extensions instead of strict C99

    Python 3.6 headers cause warnings when using a strict C99 compiler.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	configure.ac

commit 28098f2c7c23bdef9247c5dfbb8437ca3f03dac4
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 09:43:56 +0000

    Integrate dbus-gmain

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.travis.yml
M	AUTHORS
M	COPYING
M	Makefile.am
M	NEWS
M	configure.ac
M	dbus_glib_bindings/module.c

commit 20dce212d5554d5aaf25cba51f594b360a0f799d
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-29 09:42:04 +0000

    test-thread-client: Avoid deprecated g_thread_create

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	tests/test-thread-client.c

commit 8d0bc022242a89b1d31b2be0aa9e4d570179e3cc
Merge: 41b21ef c9f1a96
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 09:28:11 +0000

    Add 'dbus-gmain/' from commit
    'c9f1a9671e5c67da3a7d730407241b995c6606f9'

    git-subtree-dir: dbus-gmain
    git-subtree-mainline: 41b21ef63ea7d95bf61f2993183a6f5c2c526cb8
    git-subtree-split: c9f1a9671e5c67da3a7d730407241b995c6606f9

commit c9f1a9671e5c67da3a7d730407241b995c6606f9
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-29 09:22:45 +0000

    Use GLIB instead of DBUS_GLIB as prefix for GLib dependency

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	Makefile.am

commit 41b21ef63ea7d95bf61f2993183a6f5c2c526cb8
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-29 08:59:56 +0000

    Require dbus-run-session

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	Makefile.am
M	NEWS
M	configure.ac

commit 512cb36200c7d6006fe947336801e9fdc22df4b4
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-29 09:05:37 +0000

    Distribute ancillary files for dbus-gmain

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	Makefile.am

commit d354239ff42d972e6fe1448aae2db52e1af90aa7
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-29 08:49:48 +0000

    Move dbus-gmain to root directory

    Signed-off-by: Simon McVittie <smcv@debian.org>

R100	dbus-gmain/.gitignore	.gitignore
R100	dbus-gmain/AUTHORS	AUTHORS
R100	dbus-gmain/CONTRIBUTING CONTRIBUTING
R100	dbus-gmain/COPYING	COPYING
R100	dbus-gmain/Makefile.am	Makefile.am
R100	dbus-gmain/README	README
R100	dbus-gmain/dbus-gmain.c dbus-gmain.c
R100	dbus-gmain/dbus-gmain.h dbus-gmain.h
R100	dbus-gmain/tests/30574.c	tests/30574.c
R100	dbus-gmain/tests/test-thread-client.c	tests/test-thread-client.c
R100	dbus-gmain/tests/test-thread-server.c	tests/test-thread-server.c
R100	dbus-gmain/tests/test-thread.h	tests/test-thread.h
R100	dbus-gmain/tests/util.c tests/util.c
R100	dbus-gmain/tests/util.h tests/util.h

commit c80ae773e1cc50b6acde492b1b6f83f49f6e53c8
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-29 08:48:58 +0000

    Remove everything except dbus-gmain subdirectory

    Signed-off-by: Simon McVittie <smcv@debian.org>

D	.gitignore
D	AUTHORS
D	Android.mk
D	COPYING
D	HACKING
D	INSTALL
D	Makefile.am
D	NEWS
D	README
D	autogen.sh
D	configure.ac
D	dbus-bus-introspect.xml
D	dbus-glib-1-uninstalled.pc.in
D	dbus-glib-1.pc.in
D	dbus/.cvsignore
D	dbus/Makefile.am
D	dbus/dbus-bash-completion-helper.c
D	dbus/dbus-bash-completion.sh.in
D	dbus/dbus-binding-tool-glib.c
D	dbus/dbus-binding-tool-glib.h
D	dbus/dbus-gidl.c
D	dbus/dbus-gidl.h
D	dbus/dbus-glib-lowlevel.h
D	dbus/dbus-glib-tool.c
D	dbus/dbus-glib-tool.h
D	dbus/dbus-glib.c
D	dbus/dbus-glib.h
D	dbus/dbus-gloader-expat.c
D	dbus/dbus-gmarshal.c
D	dbus/dbus-gmarshal.h
D	dbus/dbus-gmarshal.list
D	dbus/dbus-gobject.c
D	dbus/dbus-gobject.h
D	dbus/dbus-gparser.c
D	dbus/dbus-gparser.h
D	dbus/dbus-gproxy.c
D	dbus/dbus-gsignature.c
D	dbus/dbus-gsignature.h
D	dbus/dbus-gtest-main.c
D	dbus/dbus-gtest.c
D	dbus/dbus-gtest.h
D	dbus/dbus-gthread.c
D	dbus/dbus-gtool-test.h
D	dbus/dbus-gtype-specialized-priv.h
D	dbus/dbus-gtype-specialized.c
D	dbus/dbus-gtype-specialized.h
D	dbus/dbus-gutils.c
D	dbus/dbus-gutils.h
D	dbus/dbus-gvalue-parse-variant.c
D	dbus/dbus-gvalue-parse-variant.h
D	dbus/dbus-gvalue-utils.c
D	dbus/dbus-gvalue-utils.h
D	dbus/dbus-gvalue.c
D	dbus/dbus-gvalue.h
D	dbus/examples/.cvsignore
D	dbus/examples/Makefile.am
D	dbus/examples/example-client.c
D	dbus/examples/example-service.c
D	dbus/examples/example-service.xml
D	dbus/examples/example-signal-emitter.c
D	dbus/examples/example-signal-emitter.xml
D	dbus/examples/example-signal-recipient.c
D	dbus/examples/statemachine/.cvsignore
D	dbus/examples/statemachine/Makefile.am
D	dbus/examples/statemachine/sm-marshal.list
D	dbus/examples/statemachine/statemachine-client.c
D	dbus/examples/statemachine/statemachine-server.c
D	dbus/examples/statemachine/statemachine-server.h
D	dbus/examples/statemachine/statemachine-server.xml
D	dbus/examples/statemachine/statemachine.c
D	dbus/examples/statemachine/statemachine.h
D	dbus/examples/statemachine/statemachine.xml
D	doc/Makefile.am
D	doc/dbus-binding-tool.1
D	doc/reference/Makefile.am
D	doc/reference/dbus-binding-tool.xml
D	doc/reference/dbus-glib-docs.sgml
D	doc/reference/dbus-glib-overrides.txt
D	doc/reference/dbus-glib-sections.txt
D	doc/reference/dbus-glib.types
D	doc/reference/version.xml.in
D	m4/Makefile.am
D	m4/gtk-doc.m4
D	test/Makefile.am
D	test/core/Makefile.am
D	test/core/error-mapping.c
D	test/core/manual/invalid-usage.c
D	test/core/my-object-marshal.list
D	test/core/my-object-subclass.c
D	test/core/my-object-subclass.h
D	test/core/my-object.c
D	test/core/my-object.h
D	test/core/peer-client.c
D	test/core/peer-on-bus.c
D	test/core/peer-server.c
D	test/core/private.c
D	test/core/proxy-noc.c
D	test/core/proxy-peer.c
D	test/core/registrations.c
D	test/core/run-peer-test.sh
D	test/core/run-test.sh
D	test/core/shared-bus.c
D	test/core/test-dbus-glib.c
D	test/core/test-gvariant.c
D	test/core/test-profile.c
D	test/core/test-service-glib-subclass.xml
D	test/core/test-service-glib.c
D	test/core/test-service-glib.xml
D	test/core/test-types.c
D	test/core/test-variant-recursion.c
D	test/data/nested-introspect.xml
D	test/data/valid-service-files/debug-echo.service.in
D	test/data/valid-service-files/debug-glib.service.in
D	test/data/valid-service-files/interfaces-test.service.in
D	test/errors.c
D	test/interfaces/.gitignore
D	test/interfaces/Makefile.am
D	test/interfaces/invalid-annotated-node.xml
D	test/interfaces/invalid-nested-annotation.xml
D	test/interfaces/run-test.sh
D	test/interfaces/test-client.c
D	test/interfaces/test-dup-prop-a.xml
D	test/interfaces/test-dup-prop-b.xml
D	test/interfaces/test-dup-prop.c
D	test/interfaces/test-dup-prop.h
D	test/interfaces/test-goodbye.xml
D	test/interfaces/test-hello.xml
D	test/interfaces/test-interfaces.c
D	test/interfaces/test-interfaces.h
D	test/interfaces/test-objects.c
D	test/interfaces/test-objects.h
D	test/interfaces/test-server.c
D	test/interfaces/test-song.xml
D	test/interfaces/valid-annotations.xml
D	test/specialized-types.c
D	test/test-compile-nested.sh
D	test/test-service.c
D	tools/Makefile.am
D	tools/dbus-glib-tests.supp
D	tools/dbus-glib.supp
D	tools/lcov.am
D	tools/run-with-tmp-session-bus.sh
D	tools/session.conf

commit 232cae5253382d8d8f7678dbda1ee37424904cab
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-29 08:47:56 +0000

    dbus-gmain: Add CONTRIBUTING file

    Signed-off-by: Simon McVittie <smcv@debian.org>

A	dbus-gmain/CONTRIBUTING

commit 399f1454f1aaad4627c2cac28f1ef78d62d007ca
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-29 08:38:33 +0000

    dbus-gmain: Allow swapping the namespace used

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	configure.ac
M	dbus-gmain/dbus-gmain.c
M	dbus-gmain/dbus-gmain.h
M	dbus-gmain/tests/30574.c
M	dbus-gmain/tests/test-thread-client.c
M	dbus-gmain/tests/test-thread-server.c
M	dbus/dbus-glib.c

commit 906508155ff27c76d1d85a7a1f68ab69f6161508
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-29 08:18:37 +0000

    dbus-gmain: Add a .gitignore

    This makes it a bit more self-contained.

    Signed-off-by: Simon McVittie <smcv@debian.org>

A	dbus-gmain/.gitignore

commit fd8dc56eb1948759d4fea8854dddfb1749436ba0
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 18:14:58 +0000

    dbus-gmain: Add more copyright and authorship information

    Signed-off-by: Simon McVittie <smcv@debian.org>

A	dbus-gmain/AUTHORS
A	dbus-gmain/COPYING
M	dbus-gmain/tests/30574.c
M	dbus-gmain/tests/test-thread-client.c
M	dbus-gmain/tests/test-thread-server.c
M	dbus-gmain/tests/util.c
M	dbus-gmain/tests/util.h

commit 13a000d6c1876bc429057c8a665809353e9cbe4b
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 18:14:41 +0000

    dbus-gmain: Don't include config.h unless HAVE_CONFIG_H is defined

    This should make it a little easier to integrate into more build
    systems.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	dbus-gmain/dbus-gmain.c
M	dbus-gmain/tests/30574.c
M	dbus-gmain/tests/test-thread-client.c
M	dbus-gmain/tests/test-thread-server.c
M	dbus-gmain/tests/util.c

commit fa04927d0c6cd804e4db70b0d393b3086065f7d0
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 17:53:02 +0000

    dbus-gmain: Add a README

    Signed-off-by: Simon McVittie <smcv@debian.org>

A	dbus-gmain/README

commit c20597919cd35b513e7a8eb2fa59cb0cec900606
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 17:52:55 +0000

    Move tests for dbus-gmain to dbus-gmain/tests/

    Use dbus-run-session to run the only one that can be used as an
    automated test right now.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	configure.ac
M	dbus-gmain/Makefile.am
R099	test/core/30574.c	dbus-gmain/tests/30574.c
R100	test/core/test-thread-client.c
dbus-gmain/tests/test-thread-client.c
R100	test/core/test-thread-server.c
dbus-gmain/tests/test-thread-server.c
R100	test/core/test-thread.h dbus-gmain/tests/test-thread.h
R100	test/lib/util.c dbus-gmain/tests/util.c
R100	test/lib/util.h dbus-gmain/tests/util.h
M	test/Makefile.am
M	test/core/Makefile.am
M	test/core/peer-on-bus.c
M	test/core/registrations.c
M	test/core/run-test.sh
M	test/core/test-dbus-glib.c
M	test/core/test-variant-recursion.c
M	test/interfaces/Makefile.am
M	test/interfaces/test-client.c
D	test/lib/Makefile.am

commit 449f30a089ce848883fcf2b6aaac742f87aad704
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 17:20:10 +0000

    dbus-gmain: Move to its own directory

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	Makefile.am
M	configure.ac
A	dbus-gmain/Makefile.am
R099	dbus/dbus-gmain.c	dbus-gmain/dbus-gmain.c
R100	dbus/dbus-gmain.h	dbus-gmain/dbus-gmain.h
M	dbus/Makefile.am
M	dbus/dbus-glib.c
M	test/core/30574.c
M	test/core/Makefile.am
M	test/core/test-thread-client.c
M	test/core/test-thread-server.c

commit be85eb31951c81dcbd2f6168798856a171e883e9
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 17:16:02 +0000

    dbus-gmain.c: Remove trailing whitespace

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	dbus/dbus-gmain.c

commit c6583de2500c14a979248c37942f515aa264656e
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 17:11:26 +0000

    Remove obsolete --with-test-socket-dir option

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	configure.ac

commit f30dd014fae061bf5572c8977b5ebdcb6ce9a7b9
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 17:10:45 +0000

    Remove remnants of --with-introspect-xml option

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	configure.ac

commit b031d671abde479facccd9da2e08e33922c9fc74
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 16:53:50 +0000

    Build libdbus-gmain into a separate convenience library

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	dbus/Makefile.am
M	test/core/Makefile.am

commit b6f7c810cf97914b6b90836f3d59ea256f318bcb
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 16:47:21 +0000

    Make dbus-gmain.h internal, and rename its symbols

    If we embed dbus-gmain in dbus-glib, dbus-python, at-spi2-core and
    others as a submodule or subtree, we won't want it to export the
    same ABI in all of them.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	dbus/Makefile.am
M	dbus/dbus-glib-lowlevel.h
M	dbus/dbus-glib.c
M	dbus/dbus-gmain.c
M	dbus/dbus-gmain.h
M	test/core/30574.c
M	test/core/test-thread-client.c
M	test/core/test-thread-server.c

commit 892d30196cbad5449c42b08f4d5496b2ffcdb562
Author: Simon McVittie <smcv@debian.org>
Date:	2018-01-22 16:47:43 +0000

    dbus-gmain.c: Screen-scrape copyright notices from git history

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	dbus/dbus-gmain.c

commit 3cd9349a833099837e2b9e50b1a2ba13b0e68dbc
Author: Simon McVittie <smcv@collabora.com>
Date:	2018-01-17 10:26:01 +0000

    Officially de-support Python 3.3 too

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	.travis.yml
M	NEWS

commit c943d89ce90a7ea1abc22bcd257159f23aebc9fb
Author: Simon McVittie <smcv@collabora.com>
Date:	2017-11-05 13:58:25 +0000

    Update NEWS

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	NEWS

commit 71a613348477336df175a45dd46f035def495115
Author: Simon McVittie <smcv@collabora.com>
Date:	2017-11-05 13:08:09 +0000

    Rename source directories for C code to silence an ImportWarning

    Python warns that it is not importing these directories because they
    contain no __init__.py.

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	Makefile.am
M	configure.ac
R100	_dbus_bindings/abstract.c	dbus_bindings/abstract.c
R100	_dbus_bindings/bus.c	dbus_bindings/bus.c
R100	_dbus_bindings/bytes.c	dbus_bindings/bytes.c
R100	_dbus_bindings/compat-internal.h
dbus_bindings/compat-internal.h
R100	_dbus_bindings/conn-internal.h	dbus_bindings/conn-internal.h
R100	_dbus_bindings/conn-methods.c	dbus_bindings/conn-methods.c
R100	_dbus_bindings/conn.c	dbus_bindings/conn.c
R100	_dbus_bindings/containers.c	dbus_bindings/containers.c
R100	_dbus_bindings/dbus_bindings-internal.h
dbus_bindings/dbus_bindings-internal.h
R100	_dbus_bindings/debug.c	dbus_bindings/debug.c
R100	_dbus_bindings/exceptions.c	dbus_bindings/exceptions.c
R100	_dbus_bindings/float.c	dbus_bindings/float.c
R100	_dbus_bindings/generic.c	dbus_bindings/generic.c
R100	_dbus_bindings/int.c	dbus_bindings/int.c
R100	_dbus_bindings/libdbusconn.c	dbus_bindings/libdbusconn.c
R100	_dbus_bindings/mainloop.c	dbus_bindings/mainloop.c
R100	_dbus_bindings/message-append.c dbus_bindings/message-append.c
R100	_dbus_bindings/message-get-args.c
dbus_bindings/message-get-args.c
R100	_dbus_bindings/message-internal.h
dbus_bindings/message-internal.h
R100	_dbus_bindings/message.c	dbus_bindings/message.c
R100	_dbus_bindings/module.c dbus_bindings/module.c
R100	_dbus_bindings/pending-call.c	dbus_bindings/pending-call.c
R100	_dbus_bindings/server.c dbus_bindings/server.c
R100	_dbus_bindings/signature.c	dbus_bindings/signature.c
R100	_dbus_bindings/string.c dbus_bindings/string.c
R100	_dbus_bindings/types-internal.h dbus_bindings/types-internal.h
R100	_dbus_bindings/unixfd.c dbus_bindings/unixfd.c
R100	_dbus_bindings/validation.c	dbus_bindings/validation.c
R100	_dbus_glib_bindings/module.c	dbus_glib_bindings/module.c
M	setup.py

commit b4d2cded0f7584e9c9429790c841e926acd8a082
Author: Simon McVittie <smcv@collabora.com>
Date:	2017-11-05 13:05:36 +0000

    Update NEWS

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	NEWS

commit 8d695a84248ab70f576719141dffeeb9e8023e4d
Author: Simon McVittie <smcv@collabora.com>
Date:	2017-11-05 13:02:21 +0000

    Suppress documentation of __gtype__ in epydoc, for reproducible builds

    Signed-off-by: Simon McVittie <smcv@collabora.com>

M	dbus/gi_service.py
M	dbus/gobject_service.py

commit bde52a1943907dd87662c1eed1c27414670d7d17
Author: Simon McVittie <smcv@collabora.com>
Date:	2017-11-05 13:02:02 +0000

    build: Build with -Wno-duplicated-branches if the compiler supports it

    Otherwise building with gcc 7 fails like this:

    _dbus_bindings/server.c: In function
    ‘DBusPyServer_set_auth_mechanisms’:
    /usr/include/python2.7/abstract.h:1161:43: error: this condition
    has identical branches [-Werror=duplicated-branches]
	 (PyList_Check(o) ? PyList_GET_SIZE(o) : PyTuple_GET_SIZE(o))
					       ^
    _dbus_bindings/server.c:101:14: note: in expansion of macro
    ‘PySequence_Fast_GET_SIZE’
	 length = PySequence_Fast_GET_SIZE(fast_seq);
		  ^~~~~~~~~~~~~~~~~~~~~~~~

